# Retrieve Document States Provides a list of states that the specified document has passed through. If the document is still being processed, the number of returned states should not be considered final. Subsequent calls to this endpoint may return additional states as the document continues to progress through the processing pipeline. Endpoint: GET /documents/{id}/states Version: 2.51.0 Security: OAuth2 ## Path parameters: - `id` (string, required) Id of the document to get states of. ## Response 200 fields (application/json): - `state` (string) Enum: "done", "doneAutomatically", "extracted", "failed", "inCompletion", "junk", "new", "processing", "rejected", "reviewRequired", "split", "transferFailed", "transferred" - `updatedAt` (string) Example: "1990-12-31T15:59:60-08:00" ## Response 404 fields (application/json): - `detail` (string, required) A human readable explanation of the error. - `status` (integer, required) The HTTP status code. - `title` (string, required) A short summary of the error ## Response 429 fields